<!--
https://pypi.org/project/readme-generator/
https://pypi.org/project/python-readme-generator/
https://pypi.org/project/django-readme-generator/
-->

[![](https://img.shields.io/pypi/pyversions/django-chrome-bookmarks.svg?longCache=True)](https://pypi.org/project/django-chrome-bookmarks/)

#### Installation
```bash
$ [sudo] pip install django-chrome-bookmarks
```

#### Features
OS|path
-|-
`Linux`|`~/.config/google-chrome/Default/Bookmarks`
`macOS`|`~/Library/Application Support/Google/Chrome/Default/Bookmarks`
`Windows`|`~\AppData\Local\Google\Chrome\User Data\Default\Bookmarks`

#### `settings.py`
```python
INSTALLED_APPS = [
    "django_chrome_bookmarks",
]
```

#### Models
model|`__doc__`
-|-
`django_chrome_bookmarks.models.Url` |fields: `name`, `url`, `folder`
`django_chrome_bookmarks.models.Folder` |fields: `name`, `parent`

#### Commands
command|`help`
-|-
`python manage.py export-bookmarks` |export bookmarks to file
`python manage.py import-bookmarks` |import bookmarks from file

#### Examples
```bash
$ python manage.py import-bookmarks
$ python manage.py export-bookmarks
```

```bash
$ python manage.py import-bookmarks path/to/Bookmarks
$ python manage.py export-bookmarks path/to/Bookmarks
```

<p align="center">
    <a href="https://pypi.org/project/django-readme-generator/">django-readme-generator</a>
</p>